package com.ccnode.codegenerator.mybatisGenerator.plugins.tools;

package .tmp;

import org.mybatis.generator.api.dom.java.FullyQualifiedJavaType;
import org.mybatis.generator.api.dom.java.Method;
import org.mybatis.generator.api.dom.java.Parameter;
import org.mybatis.generator.api.dom.java.TypeParameter;

public class JavaElementTools {
  public static Method a(Method paramMethod) {
    Method method = new Method(paramMethod.getName());
    for (String str : paramMethod.getJavaDocLines())
      method.addJavaDocLine(str); 
    method.setReturnType(paramMethod.getReturnType());
    for (Parameter parameter : paramMethod.getParameters())
      method.addParameter(a(parameter)); 
    for (FullyQualifiedJavaType fullyQualifiedJavaType : paramMethod.getExceptions())
      method.addException(fullyQualifiedJavaType); 
    for (TypeParameter typeParameter : paramMethod.getTypeParameters())
      method.addTypeParameter(typeParameter); 
    method.addBodyLines(paramMethod.getBodyLines());
    method.setConstructor(paramMethod.isConstructor());
    method.setNative(paramMethod.isNative());
    method.setSynchronized(paramMethod.isSynchronized());
    method.setDefault(paramMethod.isDefault());
    method.setFinal(paramMethod.isFinal());
    method.setStatic(paramMethod.isStatic());
    method.setVisibility(paramMethod.getVisibility());
    return method;
  }
  
  public static Parameter a(Parameter paramParameter) {
    Parameter parameter = new Parameter(paramParameter.getType(), paramParameter.getName(), paramParameter.isVarargs());
    for (String str : paramParameter.getAnnotations())
      parameter.addAnnotation(str); 
    return parameter;
  }
}
